<?xml version="1.0" encoding="ISO-8859-1"?>

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<xsl:output encoding="ISO-8859-1" method="html" />

 <xsl:template match="Bestellung">
    <html>
    <head>
    <title>Bestellung</title>
    </head>
    <body bgcolor="white">
    <h2>Bestellung</h2>
    <p>
    Bestellnummer: <xsl:apply-templates select="lfdNr" /> <br />
    Bemerkungen: <xsl:apply-templates select="bemerkung" /> 
    </p>
    <p>
    Bestelldatum: <xsl:apply-templates select="bestellDatum" /> <br />
    Lieferdatum: <xsl:apply-templates select="lieferDatum" /> 
    </p>

    <p>
    <strong>Rechnungsadresse: </strong> <br />
      <xsl:apply-templates select="rechnungsAdresse" />
    </p>

    <p>
    <strong>Lieferadresse: </strong> <br />
      <xsl:apply-templates select="lieferAdresse" />
    </p>

    <p>
    <strong>Waren: </strong>
    </p>
    <xsl:apply-templates select="waren" />

    </body>
    </html>
 </xsl:template>

 <xsl:template match="vorName">
  <xsl:apply-templates />
 </xsl:template>

 <xsl:template match="nachName">
  <xsl:apply-templates /> <br />
 </xsl:template>

 <xsl:template match="strasse">
  <xsl:apply-templates /> <br />
 </xsl:template>

 <xsl:template match="plz">
  <b><xsl:apply-templates /></b>
 </xsl:template>

 <xsl:template match="ort">
  <b><xsl:apply-templates /></b><br />
 </xsl:template>


 <xsl:template match="waren">
  <table border="1" cell-spacing="20" >
  <tr>
  <th>Artikelnummer</th> 
  <th>Anzahl</th>
  </tr>
  <xsl:apply-templates select="artikel" />
  </table>
 </xsl:template>

 <xsl:template match="waren/artikel">
  <tr>
  <td><xsl:apply-templates select="aNr" /> </td>
  <td><xsl:apply-templates select="anzahl" /> </td>
  </tr>
 </xsl:template>

 <xsl:template match="artikel/aNr">
  <xsl:apply-templates/>
 </xsl:template>

 <xsl:template match="artikel/anzahl">
  <em><xsl:apply-templates/></em>
 </xsl:template>

</xsl:stylesheet>
